com.sun.mirror.apt

## Enum Filer.Location

- java.lang.Object
- - java.lang.Enum<Filer.Location>
  - - com.sun.mirror.apt.Filer.Location

- All Implemented Interfaces:
    Serializable, Comparable<Filer.Location>
  Enclosing interface:
    Filer

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this enum is `StandardLocation`.

      @Deprecated
      public static enum Filer.Location
      extends Enum<Filer.Location>

  Locations (subtrees within the file system) where new files are created.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS_TREE` Deprecated. The location of new class files.
    `SOURCE_TREE` Deprecated. The location of new source files.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Filer.Location` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static Filer.Location[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOURCE_TREE

          public static final Filer.Location SOURCE_TREE

      Deprecated.
      The location of new source files.

    - #### CLASS_TREE

          public static final Filer.Location CLASS_TREE

      Deprecated.
      The location of new class files.

  - ### Method Detail

    - #### values

          public static Filer.Location[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Filer.Location c : Filer.Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Filer.Location valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.